#
# Linux Stuff
#

if [ -r /etc/debian_version ]; then
    source "$DOTZSHDIR/os.d/Debian.zsh"
fi

if [ "$TERM" != 'dumb' ]; then
    if -exe dircolors; then
        if [ -r ~/.dircolors ]; then
            eval $(dircolors -b ~/.dircolors)
        else
            eval $(dircolors -b)
        fi
    fi
    alias ls='ls -h --color=auto'
    alias l='ls -lh --color=auto'
else
    alias ls='ls -h'
    alias l='ls -lh'
fi

# Fancy cp with progressbar (using strace)
# from http://chris-lamb.co.uk/2008/01/24/can-you-get-cp-to-give-a-progress-bar-like-wget/

cp_p() {
    strace -q -ewrite cp -- "${1}" "${2}" 2>&1 | awk '{
        count += $NF
            if (count % 10 == 0) {
                percent = count / total_size * 100
                printf "%3d%% [", percent
                for (i=0;i<=percent;i++)
                    printf "="
                printf ">"
                for (i=percent;i<100;i++)
                    printf " "
                printf "]\r"
            }
        }
        END { print "" }' total_size=$(stat -c '%s' "${1}") count=0
}

